#if !defined(__xpd5mdic_h)              // Sentry, use file only if it's not already included.
#define __xpd5mdic_h

/*  Project xped5
    
    Copyright  1993. All Rights Reserved.

    SUBSYSTEM:    xped5.exe Application
    FILE:         xpd5mdic.h
    AUTHOR:       


    OVERVIEW
    ========
    Class definition for xped5MDIClient (TMDIClient).      
*/


#include <owl\owlpch.h>
#pragma hdrstop

#include <owl\opensave.h>

#include "xped5app.rh"            // Definition of all resources.


//{{TMDIClient = xped5MDIClient}}
class xped5MDIClient : public TMDIClient {
public:
    int                     ChildCount;                 // Number of child window created. 

    xped5MDIClient ();
    virtual ~xped5MDIClient ();

    void OpenFile (const char *fileName = 0);

private:
    void LoadTextFile ();

//{{xped5MDIClientVIRTUAL_BEGIN}}
protected:
    virtual void SetupWindow ();
//{{xped5MDIClientVIRTUAL_END}}

//{{xped5MDIClientRSP_TBL_BEGIN}}
protected:
//{{xped5MDIClientRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(xped5MDIClient);
};    //{{xped5MDIClient}}


#endif                                      // __xpd5mdic_h sentry.
